import { ElMessage, UploadProps } from "element-plus";

export function errorUpload(err: any, file: any, fileList: any) {
  ElMessage.error("文件上传失败，UploadAjaxError：" + JSON.parse(JSON.stringify(err)).status);
}
// 上传前对附件进行的操作
export function beforeUploadFun(file: UploadProps["beforeUpload"]) {
  // const typeList = ".pdf.jpg.png.gif.jpeg.PDF.JPG.PNG.GIF.JPEG";
  const typeList = ".xlsx"; //限制格式
  const { name, type } = fileNameDispose(file.name);
  if (!typeList.includes(type)) {
    ElMessage.error("仅支持xlsx类型文件，请重新上传。");
    return false;
  }
  return true;
}
// 获取上传附件的名字和类型
export function fileNameDispose(name: string) {
  const arr = name.split(".");
  if (arr.length === 2) {
    return { name: arr[0], type: arr[1] };
  } else {
    const type = arr.splice(arr.length - 1, 1)[0];
    const name = arr.join(".");
    return { name, type };
  }
}
